Cython installation always times out

Just after i agree to terms and conditions, it starts collecting cython and since the speed is so slow, it times out and it never happens. always gives this error.
same happens when super visor and numpy get installed, i skipped cython in the setup.sh file , but, i face the same problem with others too
I manualy downloaded numpy,cython and supervisor using pip, is there somespecific where i should install them, please tell me how to manually do it.

"

'Collecting cython
Downloading https://files.pythonhosted.org/packages/6b/36/d6c18632a339dafa54fd128b0dd2c36c6dc4bc86b8e0d366ccd9f22b480a/Cython-0.29.21-cp37-cp37m-manylinux1_x86_64.whl (2.0MB)
|█▏ | 71kB 13kB/s eta 0:02:25ERROR: Exception:
Traceback (most recent call last):
File “/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py”, line 294, in recv_into
return self.connection.recv_into(*args, **kwargs)
File “/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/OpenSSL/SSL.py”, line 1822, in recv_into
self._raise_ssl_error(self._ssl, result)
File “/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/OpenSSL/SSL.py”, line 1622, in _raise_ssl_error
raise WantReadError()
OpenSSL.SSL.WantReadError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 360, in _error_catcher
    yield
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 442, in read
    data = self._fp.read(amt)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/http/client.py", line 447, in read
    n = self.readinto(b)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/http/client.py", line 491, in readinto
    n = self.fp.readinto(b)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py", line 307, in recv_into
    raise timeout('The read operation timed out')
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/cli/base_command.py", line 178, in main
    status = self.run(options, args)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/commands/install.py", line 352, in run
    resolver.resolve(requirement_set)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/resolve.py", line 131, in resolve
    self._resolve_one(requirement_set, req)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/resolve.py", line 294, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/resolve.py", line 242, in _get_abstract_dist_for
    self.require_hashes
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/operations/prepare.py", line 347, in prepare_linked_requirement
    progress_bar=self.progress_bar
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/download.py", line 886, in unpack_url
    progress_bar=progress_bar
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/download.py", line 746, in unpack_http_url
    progress_bar)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/download.py", line 954, in _download_http_url
    _download_url(resp, link, content_file, hashes, progress_bar)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/download.py", line 683, in _download_url
    hashes.check_against_chunks(downloaded_chunks)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/utils/hashes.py", line 62, in check_against_chunks
    for chunk in chunks:
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/download.py", line 651, in written_chunks
    for chunk in chunks:
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/utils/ui.py", line 156, in iter
    for x in it:
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_internal/download.py", line 640, in resp_read
    decode_content=False):
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 494, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 459, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/amnx/Downloads/DLS/deep_learning_studio_3.0_linux/program_data/programs/conda/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 365, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.'

"

Sorry Aman, we don’t recommend to install packages manually as there is so many dependencies that may cause some other issues. Please try to re-install the software with high internet speed connectivity. Although if you want to do it manually, you may install it in folder mentioned in the log.

Hope this will work for you.

Thanks

thank you for the help